Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.session
Class Session

    java.lang.Object
      be.ehealth.technicalconnector.session.Session

    public final class Session

extends Object

Entry Point for access to the active Session and the Session Manager.

Field Summary
`static String` | `ENCRYPTION_KEYSTORE` Key that identifies the encryption keystore in the keystore map.
`static String` | `HOLDEROFKEY_KEYSTORE` Key that identifies the holder of key keystore in the keystore map.
`static String` | `IDENTIFICATION_KEYSTORE` Key that identifies the identification keystore in the keystore map.

Method Summary
`static SessionManager` | `getInstance()` Gets the single instance of SessionManager.
`static SAMLToken` | `getSAMLToken()` Convenience method to get the SAML token associated with the session.
`static void` | `setSessionManager(SessionManager sessionManager)` Sets the session manager.
`static void` | `validateSession()` Convenience method to validate session exists.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IDENTIFICATION_KEYSTORE

    public static final String IDENTIFICATION_KEYSTORE

  Key that identifies the identification keystore in the keystore map.

  See Also:
    Constant Field Values

### HOLDEROFKEY_KEYSTORE

    public static final String HOLDEROFKEY_KEYSTORE

  Key that identifies the holder of key keystore in the keystore map.

  See Also:
    Constant Field Values

### ENCRYPTION_KEYSTORE

    public static final String ENCRYPTION_KEYSTORE

  Key that identifies the encryption keystore in the keystore map.

  See Also:
    Constant Field Values

Method Detail

### getInstance

    public static SessionManager getInstance()

  Gets the single instance of SessionManager.

  Returns:
    single instance of SessionManager

### setSessionManager

    public static void setSessionManager(SessionManager sessionManager)

  Sets the session manager.

  Parameters:
    `sessionManager` - the new session manager

### getSAMLToken

    public static SAMLToken getSAMLToken()

  Convenience method to get the SAML token associated with the session.

  Returns:
    the SAML token

### validateSession

    public static void validateSession()
                                throws TechnicalConnectorException

  Convenience method to validate session exists.

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.